Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.transform.stc
[Java] Interface StaticTypeCheckingVisitor.SignatureCodec

    protected static interface StaticTypeCheckingVisitor.SignatureCodec

Method Summary
`ClassNode` | `decode(java.lang.String signature)`
`java.lang.String` | `encode(ClassNode node)`

Method Detail

### decode

    public ClassNode decode(java.lang.String signature)

### encode

    public java.lang.String encode(ClassNode node)

Groovy Documentation